<?php
// WizyTówka - form.php

if($_GET['instalacja'] == 'nie') header('Location: http://tomaszgasior.kao.pl');

// formularz i komunikaty - instalacja
if ($_POST['formularz'] == 'instalator') {
  if (!empty($_POST['imie-nazwisko']) and !empty($_POST['haslo-1']) and !empty($_POST['haslo-2']) and !empty($_POST['adres-strony'])) {
    if ($_POST['haslo-1'] != $_POST['haslo-2'])
      $komunikat = "Hasła są róźne!";
    elseif (!preg_match('/^http\:\/\/[a-zA-Z\.\/\-_0-9]+$/',$_POST['adres-strony'])) 
      $komunikat = "Adres strony powinien zaczynać się od <em>http://</em> i&nbsp;nie kończyć się ukośnikiem!";
    elseif (!@mkdir('dane'))
      $komunikat =  "Proszę utworzyć katalog <em>dane</em> z prawami <em>777</em> i spróbować ponownie.";
    else {
      dane_reset();
      dane_s($_POST['imie-nazwisko'].'<WT>'.'<TYTUŁ-PODSTRONY> &mdash; '.$_POST['imie-nazwisko'].'<WT>'.$_POST['imie-nazwisko'].'<WT>'.$_POST['adres-strony'].'<WT>d.m.Y, h:i<WT>','ustawienia/glowne');
      dane_s(md5($_POST['haslo-1']),'uzytkownik/haslo');
      dane_s($losowy_ciag,'uzytkownik/kod');
      setcookie('WizyTowka',dane_o('uzytkownik/kod'),time()+3600);
      header('Location: admin.php?a=powitanie&kod='.$losowy_ciag);
      exit();
    }
  }
  else
    $komunikat = "Nie wypełniono wszystkich pól!";
}
?>
<!doctype html>
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<?php if ($form == 'logowanie') echo "  <link rel=\"icon\" href=\"system/img/ikona.ico\" />\n" ?>
  <link rel="stylesheet" href="system/css/wizytowka.css" type="text/css" />
  <title>WizyTówka</title>
</head>
<body class="form">
  <header>
    <h1 class="logo">WizyTówka</h1>
  </header>
  <section id="form">
<?php
// formularz - logowanie
if ($form == 'logowanie') {
?>
    <form method="post">
<?php
if($bledne_haslo) echo "      <p class=\"blad\">Błędne hasło!</p>";
?>
      <p>Hasło: <br /><input type="password" name="haslo" /></p>
      <p><input type="submit" value="Zaloguj się!" /></p>
      <input type="hidden" name="logowanie" value="tak" />
    </form>
<?php
}

// formularz - instalator / 1
elseif ($form == 'instalator' and $_GET['instalacja'] != 'tak') {
?>
    <p>Czy chcesz zainstalować WizyTówkę?</p>
    <p><a href="?instalacja=tak" class="pytanie" style="color: green;">Tak</a> &nbsp;&nbsp; <a href="?instalacja=nie" class="pytanie" style="color: red;">Nie</a></p>
<?php
}

// formularz - instalator / 2
elseif ($form == 'instalator' and $_GET['instalacja'] == 'tak') {
?>
    <form method="post">
      <?php echo (!empty($komunikat)) ? "<p class=\"blad\">".$komunikat."</p>\n" : '' ?>
      <p>Twoje imię i nazwisko: <br /><input type="text" name="imie-nazwisko" title="Podaj swoje imię i nazwisko." /></p>
      <p>Hasło: <br /><input type="password" name="haslo-1" title="Podaj dwukrotnie hasło." /><br /><input type="password" name="haslo-2" title="Podaj dwukrotnie hasło." /></p>
      <p>Adres strony: <br /><input type="url" name="adres-strony" title="Adres strony powinien zaczynać się od http:// i NIE KOŃCZYĆ się ukośnikiem!" value="http://<?php echo $_SERVER['SERVER_NAME']; echo substr($_SERVER['PHP_SELF'],0,strlen($_SERVER['PHP_SELF'])-10) ?>" /></p>
      <p><input type="submit" value="Zainstaluj WizyTówkę!" style="border-color: #FF9575;" /></p>
      <input type="hidden" name="formularz" value="instalator" />
    </form>
<?php
}
?>
  </section>
</body>
</html>